// Copyright (c) 2015 HigPen Works (Kenichiro Matsuura / Yuki Tsukasa). All rights reserved.
#include "Game.h"

void CMover::Draw() {
	GLKMatrix4 m=Scale.MatrixScale();
	m=GLKMatrix4Multiply(Rotation.MatrixRotation(), m);
	m=GLKMatrix4Multiply(Position.MatrixPosition(), m);
	m=GLKMatrix4Multiply(Game->ViewProjection, m);
	Game->Shader->Draw(Texture, m, Color);
}

